Search Single Domain

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /domains
  • /search
  • /:name

Search a single domain availability and price

Request

REQUIRED SCOPES
DOMAIN_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

namerequiredstring
The fully-qualified domain name to check availability and price for

Example: "mysite.org"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
The name of the domain
availableboolean
Whether the domain is available for registration
premiumboolean
Whether the domain is a premium domain with higher pricing
pricesDomainPricesView
Pricing details for domain operations

Last modified on May 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/domains/search/:name" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-company/domains/search",
  "html_url": "https://app.buddy.works/my-company/-/domains/buy",
  "name": "premium-name.uno",
  "available": true,
  "premium": true,
  "prices": {
    "create": {
      "currency": "USD",
      "price": 6500,
      "min_duration": 1,
      "max_duration": 10
    },
    "transfer": {
      "currency": "USD",
      "price": 6500,
      "min_duration": 1,
      "max_duration": 1
    },
    "renew": {
      "currency": "USD",
      "price": 6500,
      "min_duration": 1,
      "max_duration": 9
    },
    "restore": {
      "currency": "USD",
      "price": 52,
      "min_duration": 1,
      "max_duration": 1
    }
  }
}
STATUS
200 OK